Page MenuHomePhabricator

[Deployment] FileImporter / FileExporter full default
Closed, ResolvedPublic2 Estimated Story Points

Description

This task is complete once FileExporter is enabled everywhere by default.

Planned for week commencing August 3rd - ideal release date would be August 5 (Wed) or August 6 (Thurs).

Event Timeline

awight created this task.Sep 10 2019, 9:54 PM
Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptSep 10 2019, 9:54 PM
awight renamed this task from [Deployment] [Placeholder] FileImporter / FileExporter full default release to [Deployment] [Placeholder] FileImporter / FileExporter full default.Sep 10 2019, 10:20 PM
Lena_WMDE renamed this task from [Deployment] [Placeholder] FileImporter / FileExporter full default to [Deployment] FileImporter / FileExporter full default.Jul 21 2020, 11:53 AM
Lena_WMDE updated the task description. (Show Details)
Lena_WMDE moved this task from Backlog to Default version backlog on the Move-Files-To-Commons board.
Lena_WMDE added subscribers: Lena_WMDE, Aklapper.
Lena_WMDE updated the task description. (Show Details)Jul 21 2020, 12:23 PM
Lena_WMDE set the point value for this task to 2.

Change 618481 had a related patch set uploaded (by Awight; owner: Awight):
[operations/mediawiki-config@master] FileImporter: full default deployment

https://gerrit.wikimedia.org/r/618481

Change 618482 had a related patch set uploaded (by Awight; owner: Awight):
[operations/mediawiki-config@master] Remove deprecated setting

https://gerrit.wikimedia.org/r/618482

Change 618481 merged by jenkins-bot:
[operations/mediawiki-config@master] FileImporter: full default deployment

https://gerrit.wikimedia.org/r/618481

Mentioned in SAL (#wikimedia-operations) [2020-08-05T11:26:47Z] <awight@deploy1001> Synchronized wmf-config: Config: [[gerrit:618481|FileImporter: full default deployment (T232542)]] (duration: 01m 04s)

Change 618708 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileExporter@master] [WIP] Remove all BetaFeature related code

https://gerrit.wikimedia.org/r/618708

awight added a comment.Aug 6 2020, 9:29 AM

Change 618708 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileExporter@master] [WIP] Remove all BetaFeature related code

See also T259690: Remove beta feature support

Demo: visit https://en.wikipedia.org/wiki/File:CAEWW_12.jpeg as a logged-in user, see the export tab.

Lena_WMDE closed this task as Resolved.Aug 11 2020, 9:16 AM
Lena_WMDE claimed this task.
Lena_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2020-07-22 board.